/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.device.db.entity.CdPcDevice;
import net.northking.cctp.device.dto.pcDevice.*;

import java.util.List;

public interface CdPcDeviceService extends BasicService<CdPcDevice>
{

    Pagination<CdPcDeviceDetailDto> queryPages(QueryByPage<CdPcDeviceDto> dto);

    Pagination<ScriptPcResultDto> scriptPcDevice(QueryByPage<CdPcDeviceScriptDto> queryByPage);

    List<CdPcDevice> queryDevice();

    Integer selectPcDevice(String deviceIp);
}
